#ifndef __board_h__
#define __board_h__

#include "globals.h"


/////////////////////////////////////////////
// Class Definition
/////////////////////////////////////////////

class Board {
 public:
 	Board();
	// TODO: Should add a copy constructor here
 	void ShowBoard();
 	void ApplyMove(int x1, int y1, int x2, int y2);
 	int GameOver();
 	void GetMove(int &x1, int &y1, int &x2, int &y2);

 private:
 	int RemoveRunner(int x, int y);
 	void InitBoard();
 	int IsValid(int x1, int y1, int x2, int y2);

	// Data Members
 	char m_board[DIM][DIM];
 	char m_whoseturn;
};

#endif
